#include "keypad.h"

int map[]={
  KEY_X, // 0
  KEY_ONE, // 1
  KEY_TWO, // 2
  KEY_THREE, // 3
  KEY_Q,  // 4
  KEY_W,  // 5
  KEY_E,  // 6
  KEY_A,  // 7
  KEY_S, // 8
  KEY_D, // 9
  KEY_Z, // A
  KEY_C, // B
  KEY_FOUR, // C
  KEY_R, // D
  KEY_F, // E
  KEY_V // F
};

int KeypadKeycodeValid(int keycode){
  for(int i=0;i<16;i++){
    if(map[i]==keycode)
      return i;
  }
  return -1;
}


int KeypadGetPressed(){
  int keycode=GetKeyPressed();
  if(keycode){
    return KeypadKeycodeValid(keycode);
  }
  return -1;
}
